unit uArticulosPresupuestoClienteController;

interface

uses
  uDADataTable, uArticulosController, uBizArticulos;

type
  IArticulosPresupuestoClienteController = interface(IArticulosController)
  ['{B334F1FC-65B7-4E77-8D1B-A7CF12F6CF3C}']
  end;

  TArticulosPresupuestoClienteController = class(TArticulosController, IArticulosPresupuestoClienteController)
  public
    function ElegirArticulos(AArticulos : IBizArticulo; AMensaje: String; AMultiSelect: Boolean): IBizArticulo; override;
  end;

implementation

{ TArticulosPresupuestoClienteController }

uses Controls, cxControls, uIEditorElegirArticulosPresupuestosCliente, uIEditorElegirArticulos;

function TArticulosPresupuestoClienteController.ElegirArticulos(AArticulos: IBizArticulo; AMensaje: String;
  AMultiSelect: Boolean): IBizArticulo;
var
  AEditor : IEditorElegirArticulosPresupuestosCliente;
begin
  Result := NIL;

  CreateEditor('EditorElegirArticulosPresupuestosCliente', IEditorElegirArticulosPresupuestosCliente, AEditor);
  if Assigned(AEditor) then
    try
       AEditor.Controller := Self;
       AEditor.Articulos := AArticulos;
       AEditor.MultiSelect := AMultiSelect;
       AEditor.Mensaje := AMensaje;
       if IsPositiveResult(AEditor.ShowModal) then
          Result := AEditor.ArticulosSeleccionados;
    finally
      AEditor.Release;
      AEditor := NIL;
    end;
end;

end.
